您现在的位置是:首页 > 建站相关建站相关

ZenTaoPHP 框架安装步骤

作者:admin TAG标签: 时间:2019-08-06 13:14:52分类:建站相关阅读:0

简介一、安装apache, mysql, php的运行环境
首先要确认你的机器上面已经安装好了apache, mysql, php的运行环境。而且符合zt框架的系统要求。
二、获取最新的ZenTaoPHP框架
从本

一、安装apache, mysql, php的运行环境

首先要确认你的机器上面已经安装好了apache, mysql, php的运行环境。而且符合zt框架的系统要求。

二、获取最新的ZenTaoPHP框架

从本站下载最新的ZenTaoPHP框架。目前是以zip格式提供的。(暂时还没有开放svn trunk代码的获取。后面会开放的。)

三、安装ZenTaoPHP框架

将下载下来的zip文件解压缩到一个目录,比如/var/www/zentao。

解开之后,里面有一个framework, app, lib的目录。其中你要开发的应用程序要放在app目录下面。

四、配置demo应用示例

4.1 配置apache

ZT框架自己带了一个demo应用示例。下面我们来修改apache的配置文件。

你需要在apache的配置文件中加入一个virtualhost的配置。

<VirtualHost *:80>

  #一定要将documentroot设置到你的应用目录的www目录下面。
  DocumentRoot /home/www/zentao/app/demo/www
  ServerName  your servername
  #如果你想使用PATH_INFO功能,需要将下面三行打开。
  RewriteEngine on
  RewriteCond $1 !(index\.php|demo|img|js|css|favicon\.ico|robots\.txt)
  RewriteRule ^(.*)$ /index.php/$1 [L]

</VirtualHost> 

4.2 配置数据库

你需要建立一个数据库,名字叫做zentao。然后将app/demo/module/hello/blog.sql导入到zentao数据库中。

根据实际情况,你可能还需要修改app/demo/config/config.php。

完成上面步骤之后,顺利的话,你就可以通过http://xxxx/来访问demo实例了。

ZenTaoPHP框架系统要求
ZT框架使用了php5所特有的语法、类、函数,因此php4是无法运行ZT框架的。使用ZT,你需要:

1. web server最好是apache。因为它和php集成使用是最稳定,功能也是最齐全的一套组合。

2. php最好是5.2以后的版本,最少是5.1系列的版本。

3. 数据库最好是mysql4以后的版本。

现在amp组合的安装比以前已经简单多了。windows下面的用户可以考虑使用xammp。linux下面的用户直接使用包管理进行安装就好了。比如debian下面的apt,红帽下面的rpm, yum。FreeBSD的用户可以直接使用ports安装,也是非常方便的。

Tags:

本站推荐

站点信息

  • 关于暖吧
  • 建站时间:2019年8月4日
  • 站点类型:教程分享网站
  • 站长QQ480266269
  • 文章统计:50篇文章
  • 网站地图XML网站地图
  • 官方Q群扫码或点击进入

客服在线

服务时间

周一至周日 9:00-21:00